Subject: Re: RFC 2086 / ISO 639 : Missing Languages

From: "Martin J. Duerst" <[email-masked]>
Date: Thu, 21 Jan 1999 09:44:04 +0900

RFC 2068, as well as many other documents, reference ISO 639
through RFC 1766. RFC 1766 gives various other ways of constructing
language codes, among else by using the x- prefix for experimental
ones and by using the i- prefix for registrations with the IANA.

ISO 639 has recently been published, and RFC 1766 is being updated
to take this into account. Discussion about these things, as well
as about individual registrations of languages, are carried out
on [email-masked] (not the "charsets" list that is given
in RFC 1766!). This list is archived at
http://lists.w3.org/Archive/Public/ietf-languages.

Please check that archive for the recent ongoing discussion, and
then contribute to the discussion.

Regards,   Martin.

At 20:03 99/01/20 +0100, Matthias Fichtner wrote:
> Hello.
> 
> RFC 2086 (HTTP/1.1) as well as many other documents refer to
> ISO 639 (Code for the representation of names of languages) for
> the construction of language tags. Unfortunately there's a
> couple of languages that aren't mentionen in ISO 639 (2 letter
> codes) or ISO 639-2 (3 letter codes).
> 
> For example Bosnian, Castellano, Dari, Kiswahili, and Pashtu.
> 
> So how does one construct an Accept-Language header for Bosnian?
> Or a Content-Language header for Kiswahili?
> 
> Can anybody tell me if there's a working group or an individual
> working to solve this problem? Or do we have to wait until ISO
> recognized these languages and assigns codes?
> 
> Thanks in advance!
> 
> --
> Matthias Fichtner [MF70-RIPE]
> Medienagentur Fichtner & Meyer
> phone: +49 (89) 74 79 02 01
> [email-masked]
> 
> 
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Harald Alvestrand.
> 
> 

#-#-#  Martin J. Du"rst, World Wide Web Consortium
#-#-#  mailto:[email-masked]   http://www.w3.org

---

From: Ned Freed <[email-masked]>
Date: Wed, 20 Jan 1999 19:10:08 -0800 (PST)

> ...

> http://lists.w3.org/Archive/Public/ietf-languages.

Martin, I think you meant to say that ISO 639-2 has recently been published.
ISO 639 has been out for some time.

> then contribute to the discussion.

Quite correct.

				Ned

---

From: Ned Freed <[email-masked]>
Date: Wed, 20 Jan 1999 19:10:08 -0800 (PST)

Quite correct.

				Ned